
template<class Basis>
class TestClass {

public:
	static const int nCompo = 3;

	using GridView = typename Basis::GridView;
	using Domain = typename GridView::template Codim<0>::Geometry::GlobalCoordinate;
	using MatrixRange = FieldMatrix< double, nCompo, nCompo>;
	using Func2Tensor = std::function< MatrixRange(const Domain&) >;

	const Basis& basis_;
	Func2Tensor prestress_;

    MatrixRange evaluateZero()
    {
    	auto preStressGrid = Functions::makeGridViewFunction(prestress_, basis_.gridView());
    	return prestress_({0,0,0});
    }



    TestClass(const Basis& basis, Func2Tensor prestress) : basis_(basis), prestress_(prestress) {}
};












/*
template <class Basis, class GridF1, class GridF2> //, class GridScalar> //, class LocalScalar, class Local2Tensor> // LocalFunction derived from basis?
class TestClass {

	using GridView = typename Basis::GridView;
	using Domain = typename GridView::template Codim<0>::Geometry::GlobalCoordinate;
	using ScalarRange = FieldVector< double, 1>;
	using FuncScalar = std::function< ScalarRange(const Domain&) >;

private:

	//const int dim = 3;
	const Basis basis_; 
	const ParameterTree& parameterSet_;
	const GridF1& mu1_;
	const GridF2& mu2_;

	std::map<int,int> perIndexMap_;

public:

	TestClass(const Basis& basis, 
		const GridF1& mu
		const ParameterTree& parameterSet)
        : basis_(basis), 
         mu1_(mu), 
         mu2_(mu)
    {} 

};
*/
